Skip to main content
GET
Get a node

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Path Parameters

nodeId
string<uuid>
required

Query Parameters

canvasId
string<uuid>

Response

200

id
string<uuid>
required
nodeType
enum<string>
required
Available options:
text,
image,
video,
audio,
file,
group,
custom_text,
pdf,
composite,
stitch,
magic_resize
geometry
object
required
groupId
string<uuid> | null
required
activeVersionId
string<uuid> | null
required
generatedText
string | null
required
versions
object[]
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
title
string
autoModel
boolean | null
fastModel
boolean | null
textPrompt
string | null
modelConfig
object | null
outputAspectRatio
enum<string> | null
Available options:
21:9,
16:9,
4:3,
5:4,
3:2,
1:1,
2:3,
3:4,
4:5,
9:16,
9:21
outputDuration
integer | null
Required range: x > 0
outputResolution
Available options:
360p,
480p,
540p,
580p,
720p,
1080p,
1440p,
2160p,
4k,
0.5K,
1K,
2K,
4K,
1k,
2k
seed
integer | null
Required range: 0 <= x <= 2147483647
generateAudio
boolean | null
modelSupportsEndImage
boolean | null
modelSupportsReferenceImage
boolean | null
modelSupportsOptionalStartImage
boolean | null
modelSupportsAudioInput
boolean | null
modelGeneratesAudio
boolean | null
voiceId
string | null
customVoiceId
string | null
negativePrompt
string | null
supportedInputs
enum<string>[] | null
Available options:
image,
video
stitchClipOrder
string[] | null
stitchScaleFit
enum<string> | null
Available options:
fit,
stretch
stitchAudioOverlays
object[] | null
stitchClipTrims
object | null
groupType
enum<string> | null
Available options:
default,
unified,
template
templatePorts
object[] | null
templateId
string<uuid> | null
childNodeIds
string<uuid>[]
magicResizeOutputs
object[] | null
Last modified on July 17, 2026